## yarl 1.22.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/yarl.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/yarl.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/yarl"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/yarl"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

spelling:
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Build finished."

## yarl 0.8.1

=== debian/changelog ===
yarl (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * disable tests if only arch. independent package is built (closes: 844422)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 21 Dec 2016 12:50:31 +0100

yarl (0.7.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 07 Nov 2016 22:48:01 +0100

yarl (0.5.3-1) unstable; urgency=low

  * Initial release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 06 Nov 2016 14:16:42 +0000

=== debian/control ===
Source: yarl
Section: python
Priority: optional
Maintainer: Piotr Ożarowski <piotr@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), dh-python,
               cython3,
               python3-all-dev,
               python3-setuptools,
               python3-sphinx,
               python3-multidict,
# tests:
               python3-pytest,
               python3-pytest-runner,
Standards-Version: 3.9.8
Homepage: https://github.com/aio-libs/yarl/
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/yarl.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/yarl.git

Package: python3-yarl
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: yet another URL library for Python
 URL is constructed from `str`:
 .
  >>> from yarl import URL
  >>> url = URL('https://www.python.org/~guido?arg=1#frag')
  >>> url
  URL('https://www.python.org/~guido?arg=1#frag')
 .
 All URL parts: scheme, user, passsword, host, port, path, query and fragment
 are accessible by properties:
 .
  >>> url.scheme
  'https'
  >>> url.host
  'www.python.org'
  >>> url.path
  '/~guido'
  >>> url.query_string
  'arg=1'
  >>> url.query
  <MultiDictProxy('arg': '1')>
  >>> url.fragment
  'frag'
 .
 All URL manipulations produces a new URL object:
 .
  >>> url.parent / 'downloads/source'
  URL('https://www.python.org/downloads/source')
 .
 Strings passed to constructor and modification methods are automatically
 encoded giving canonical representation as result::
 .
  >>> url = URL('https://www.python.org/Ð¿ÑƒÑ‚ÑŒ')
  >>> url
  URL('https://www.python.org/%D0%BF%D1%83%D1%82%D1%8C')
 .
 Regular properties are percent-decoded, use `raw_` versions for getting
 encoded strings:
 .
  >>> url.path
  '/Ð¿ÑƒÑ‚ÑŒ'
 .
  >>> url.raw_path
  '/%D0%BF%D1%83%D1%82%D1%8C'
 .
 Human readable representation of URL is available as `.human_repr()`:
 .
  >>> url.human_repr()
  'https://www.python.org/Ð¿ÑƒÑ‚ÑŒ'

Package: python-yarl-doc
Section: doc
Architecture: all
Priority: extra
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: documentation for the yarl Python library
 This package provides documentation for yarl

## yarl 0.12.0

=== debian/changelog ===
yarl (0.12.0-1build1) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:40:45 +0000

yarl (0.12.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 16 Jul 2017 14:11:17 +0200

yarl (0.11.0-1) unstable; urgency=medium

  [ Nicolas Dandrimont ]
  * Add version restrictions to build-depends to help backports

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 30 Jun 2017 15:05:51 +0200

yarl (0.10.3-1) unstable; urgency=medium

  * New upstream release
  * disable privacy breach github/travis links in documentation
  * Standards-Version bumped to 4.0.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 20 Jun 2017 20:06:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), dh-python,
+Build-Depends: debhelper (>= 9), dh-python (>= 2),
                cython3,
                python3-all-dev,
                python3-setuptools,
-               python3-sphinx,
+               python3-sphinx (>= 1.3),
                python3-multidict,
 # tests:
                python3-pytest,
                python3-pytest-runner,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/aio-libs/yarl/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/yarl.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/yarl.git

## yarl 0.13.0

=== debian/changelog ===
yarl (0.13.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version bumped to 4.1.1 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 25 Oct 2017 11:05:02 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # tests:
                python3-pytest,
                python3-pytest-runner,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Homepage: https://github.com/aio-libs/yarl/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/yarl.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/yarl.git

## yarl 0.16.0

=== debian/changelog ===
yarl (0.16.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 20 Dec 2017 11:55:31 +0100

yarl (0.15.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 30 Nov 2017 14:10:42 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # tests:
                python3-pytest,
                python3-pytest-runner,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.2
 Homepage: https://github.com/aio-libs/yarl/
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/yarl.git
 Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/yarl.git
@@ -75,7 +75,6 @@
 Package: python-yarl-doc
 Section: doc
 Architecture: all
-Priority: extra
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: documentation for the yarl Python library
  This package provides documentation for yarl

## yarl 1.1.0

=== debian/changelog ===
yarl (1.1.0-1) unstable; urgency=medium

  * New upstream release (closes: 889864)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 08 Feb 2018 20:32:40 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3-all-dev,
                python3-setuptools,
                python3-sphinx (>= 1.3),
-               python3-multidict,
+               python3-multidict (>= 4.0.0),
 # tests:
                python3-pytest,
                python3-pytest-runner,

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=yarl
export LC_ALL=C.UTF-8
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	cd docs && \
	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
endif

override_dh_auto_test-indep:

override_dh_auto_install:
	dh_auto_install
	find debian/python3-yarl/usr/lib \( -name '*.c' -or -name '*.px[di]' -or -name '*.pyx' \) -delete

## yarl 1.2.4

=== debian/changelog ===
yarl (1.2.4-1build1) cosmic; urgency=medium

  * No change rebuild to add support for Python 3.7.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Fri, 10 Aug 2018 14:59:08 +1200

yarl (1.2.4-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 16 May 2018 12:31:40 +0200

yarl (1.1.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove trailing whitespaces

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 19 Mar 2018 16:40:39 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                python3-pytest-runner,
 Standards-Version: 4.1.2
 Homepage: https://github.com/aio-libs/yarl/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/yarl.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/yarl.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/yarl.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/yarl
 
 Package: python3-yarl
 Architecture: any
@@ -77,4 +77,4 @@
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: documentation for the yarl Python library
- This package provides documentation for yarl 
+ This package provides documentation for yarl

## yarl 1.3.0

=== debian/changelog ===
yarl (1.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Piotr Ożarowski ]
  * New upstream release
  * Standards-Version bumped to 4.3.0 (no changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 29 Dec 2018 21:25:50 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,9 @@
                python3-setuptools,
                python3-sphinx (>= 1.3),
                python3-multidict (>= 4.0.0),
-# tests:
-               python3-pytest,
-               python3-pytest-runner,
-Standards-Version: 4.1.2
+               python3-pytest <!nocheck>,
+               python3-pytest-runner <!nocheck>,
+Standards-Version: 4.3.0
 Homepage: https://github.com/aio-libs/yarl/
 Vcs-Git: https://salsa.debian.org/python-team/modules/yarl.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/yarl

## yarl 1.4.2

=== debian/changelog ===
yarl (1.4.2-2) unstable; urgency=medium

  * Team upload.
  * Update d/p/0005-Fix-tests-in-new-Pythons.patch to fix tests with python
    3.8.2, upstream has reverted a fix to avoid unexpected behaviour change in
    a point release (Closes: #952211)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Mar 2020 10:47:33 +0100

yarl (1.4.2-1) unstable; urgency=medium

  * Team upload.
  [ Ondřej Nový ]
  * New upstream release.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.
  * Add python3-idna to B-D.
  * Fix tests in new Pythons (Closes: #945469).
  * Remove .coverage from binary package.
  * Enable all hardening.
  * Enable autopkgtest-pkg-python testsuite.
  * Bump debhelper compat level to 12.
  * Add doc-base for documentation.
  * d/p/0004-disable-privacy-breach-links-in-documentation.patch: Remove more
    leak.
  * Make extended description of python-yarl-doc more extended.

  [ Piotr Ożarowski ]
  * Rebuild yarl/_quoting.c using Cython before the build

 -- Ondřej Nový <onovy@debian.org>  Sun, 29 Dec 2019 23:49:54 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,21 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9), dh-python (>= 2),
+Build-Depends: debhelper-compat (= 12), dh-python (>= 2),
                cython3,
                python3-all-dev,
                python3-setuptools,
                python3-sphinx (>= 1.3),
+               python3-idna (>= 2.0),
                python3-multidict (>= 4.0.0),
                python3-pytest <!nocheck>,
                python3-pytest-runner <!nocheck>,
-Standards-Version: 4.3.0
+               python3-pytest-cov <!nocheck>,
+Standards-Version: 4.4.1
 Homepage: https://github.com/aio-libs/yarl/
 Vcs-Git: https://salsa.debian.org/python-team/modules/yarl.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/yarl
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-yarl
 Architecture: any
@@ -76,4 +79,53 @@
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: documentation for the yarl Python library
+ URL is constructed from `str`:
+ .
+  >>> from yarl import URL
+  >>> url = URL('https://www.python.org/~guido?arg=1#frag')
+  >>> url
+  URL('https://www.python.org/~guido?arg=1#frag')
+ .
+ All URL parts: scheme, user, passsword, host, port, path, query and fragment
+ are accessible by properties:
+ .
+  >>> url.scheme
+  'https'
+  >>> url.host
+  'www.python.org'
+  >>> url.path
+  '/~guido'
+  >>> url.query_string
+  'arg=1'
+  >>> url.query
+  <MultiDictProxy('arg': '1')>
+  >>> url.fragment
+  'frag'
+ .
+ All URL manipulations produces a new URL object:
+ .
+  >>> url.parent / 'downloads/source'
+  URL('https://www.python.org/downloads/source')
+ .
+ Strings passed to constructor and modification methods are automatically
+ encoded giving canonical representation as result::
+ .
+  >>> url = URL('https://www.python.org/Ð¿ÑƒÑ‚ÑŒ')
+  >>> url
+  URL('https://www.python.org/%D0%BF%D1%83%D1%82%D1%8C')
+ .
+ Regular properties are percent-decoded, use `raw_` versions for getting
+ encoded strings:
+ .
+  >>> url.path
+  '/Ð¿ÑƒÑ‚ÑŒ'
+ .
+  >>> url.raw_path
+  '/%D0%BF%D1%83%D1%82%D1%8C'
+ .
+ Human readable representation of URL is available as `.human_repr()`:
+ .
+  >>> url.human_repr()
+  'https://www.python.org/Ð¿ÑƒÑ‚ÑŒ'
+ .
  This package provides documentation for yarl

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #! /usr/bin/make -f
 
 export PYBUILD_NAME=yarl
+export PYBUILD_BEFORE_BUILD=cython3 yarl/_quoting.pyx
 export LC_ALL=C.UTF-8
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
@@ -9,7 +12,7 @@
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	cd docs && \
 	PYTHONPATH=$(CURDIR) http_proxy='http://127.0.0.1:9/' https_proxy='https://127.0.0.1:9/' \
-	sphinx-build -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
+	python3 -m sphinx -N -E -T -b html . $(CURDIR)/.pybuild/docs/html/
 	rm -rf $(CURDIR)/.pybuild/docs/html/.doctrees
 endif

## yarl 1.6.3

=== debian/changelog ===
yarl (1.6.3-2) unstable; urgency=medium

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Roland Mas ]
  * Fix failing test with Python 3.9.2 (closes: #986525).

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 25 Apr 2021 19:44:36 +0200

yarl (1.6.3-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-yarl-doc: Add Multi-Arch: foreign.

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 30 Dec 2020 19:57:17 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 12), dh-python (>= 2),
                cython3,
                python3-all-dev,
@@ -13,10 +13,10 @@
                python3-pytest <!nocheck>,
                python3-pytest-runner <!nocheck>,
                python3-pytest-cov <!nocheck>,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/aio-libs/yarl/
-Vcs-Git: https://salsa.debian.org/python-team/modules/yarl.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/yarl
+Vcs-Git: https://salsa.debian.org/python-team/packages/yarl.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/yarl
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-yarl
@@ -78,6 +78,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: documentation for the yarl Python library
  URL is constructed from `str`:
  .

## yarl 1.7.2

=== debian/changelog ===
yarl (1.7.2-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 21:49:25 +0000

yarl (1.7.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dh-python.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-idna,
      python3-multidict and python3-sphinx.

  [ Piotr Ożarowski ]
  * New upstream release
  * Patches updated, fix-986525 removed (no longer needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 14 Feb 2022 15:24:18 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python (>= 2),
+Build-Depends: debhelper-compat (= 12), dh-python,
                cython3,
                python3-all-dev,
                python3-setuptools,
-               python3-sphinx (>= 1.3),
-               python3-idna (>= 2.0),
-               python3-multidict (>= 4.0.0),
+               python3-sphinx,
+               python3-idna,
+               python3-multidict,
                python3-pytest <!nocheck>,
                python3-pytest-runner <!nocheck>,
                python3-pytest-cov <!nocheck>,

## yarl 1.8.2

=== debian/changelog ===
yarl (1.8.2-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 17 Jan 2023 20:02:27 +0100

yarl (1.8.1-2) unstable; urgency=medium

  * Team Upload.
  * Cherry-pick upstream commit to fix FTBFS
    Closes: #1026634

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Jan 2023 00:22:45 +0530

yarl (1.8.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.1, no changes needed.

  [ Piotr Ożarowski ]
  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 07 Nov 2022 15:27:39 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
-Build-Depends: debhelper-compat (= 12), dh-python,
+Build-Depends: debhelper-compat (= 13), dh-python,
                cython3,
                python3-all-dev,
                python3-setuptools,
@@ -13,7 +13,7 @@
                python3-pytest <!nocheck>,
                python3-pytest-runner <!nocheck>,
                python3-pytest-cov <!nocheck>,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/aio-libs/yarl/
 Vcs-Git: https://salsa.debian.org/python-team/packages/yarl.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/yarl

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #! /usr/bin/make -f
 
 export PYBUILD_NAME=yarl
-export PYBUILD_BEFORE_BUILD=cython3 yarl/_quoting.pyx
+export PYBUILD_BEFORE_BUILD=cython3 yarl/_quoting_c.pyx
 export LC_ALL=C.UTF-8
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all

## yarl 1.9.4

=== debian/changelog ===
yarl (1.9.4-1) unstable; urgency=medium

  * New upstream release
  * Drop no longer needed patches
  * Add pybuild-plugin-pyproject to Build-Depends (setup.py replaced with
    pyproject.toml)
  * Add python3-pytest-xdist to Build-Depends (used during tests)
  * Drop towncrier changelog generation as sphinxcontrib.towncrier.ext is not
    packaged yet
  * Add python3-myst-parser and python3-alabaster to Build-Depends
    (used while building docs)
  * Add 0006-use-os.path.expandvars-instead-of-external-one patch

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 18 Apr 2024 10:56:28 +0200

yarl (1.8.2-3) unstable; urgency=medium

  * Team upload.
  * d/control: re-run the packages in the autopkgtest using pybuild 

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 27 Sep 2023 17:08:10 +0200

yarl (1.8.2-2) unstable; urgency=medium

  * Team upload.
  * d/patches/square_bracket_handling.patch: cherry-picked from upstream.
    Fixes FTBFS. Closes: #1042342

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Sep 2023 14:35:07 +0200

## yarl 1.13.1

=== debian/changelog ===
yarl (1.13.1-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 16:33:38 +0000

yarl (1.13.1-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 04:38:16 +0100

yarl (1.13.1-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 01 Oct 2024 16:10:29 +0200

yarl (1.13.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 27 Sep 2024 15:40:07 +0200

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,26 @@
 Maintainer: Piotr Ożarowski <piotr@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13), dh-python,
+               pybuild-plugin-pyproject,
                cython3,
                python3-all-dev,
                python3-setuptools,
-               python3-sphinx,
                python3-idna,
                python3-multidict,
+# used to build documentation
+               python3-sphinx,
+               python3-myst-parser,
+               python3-alabaster,
+# used during tests:
                python3-pytest <!nocheck>,
                python3-pytest-runner <!nocheck>,
                python3-pytest-cov <!nocheck>,
+               python3-pytest-xdist <!nocheck>,
 Standards-Version: 4.6.1
 Homepage: https://github.com/aio-libs/yarl/
 Vcs-Git: https://salsa.debian.org/python-team/packages/yarl.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/yarl
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-yarl
 Architecture: any

## yarl 1.19.0

=== debian/changelog ===
yarl (1.19.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 09 Apr 2025 10:22:58 +0200

yarl (1.18.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Upstream has added dependencies on propcache and hypothesis.
  * Update Standards-Version.
  * Add more detail to debian/copyright.
  * Install NOTICE file in package as required by Apache 2 license.

 -- Edward Betts <edward@4angle.com>  Wed, 19 Mar 2025 12:47:03 +0000

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 export PYBUILD_BEFORE_BUILD=cython3 yarl/_quoting_c.pyx
 export LC_ALL=C.UTF-8
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export PYBUILD_TEST_ARGS=--no-cov --ignore=tests/test_url_benchmarks.py --ignore=tests/test_quoting_benchmarks.py
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

## yarl 1.22.0

=== debian/changelog ===
yarl (1.22.0-1) unstable; urgency=medium

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 21 Oct 2025 15:21:05 +0200

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,18 @@
                python3-setuptools,
                python3-idna,
                python3-multidict,
+               python3-propcache,
 # used to build documentation
                python3-sphinx,
                python3-myst-parser,
                python3-alabaster,
 # used during tests:
+               python3-hypothesis <!nocheck>,
                python3-pytest <!nocheck>,
                python3-pytest-runner <!nocheck>,
                python3-pytest-cov <!nocheck>,
                python3-pytest-xdist <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/aio-libs/yarl/
 Vcs-Git: https://salsa.debian.org/python-team/packages/yarl.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/yarl

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/yarl/yarl-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
